Package uk.ac.starlink.topcat.plot2

# Class LayerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.topcat.plot2.LayerException

All Implemented Interfaces:
  `Serializable`

public class LayerException extends Exception
Exception thrown if a plot layer cannot be added as requested.

Since:
  20 Dec 2013
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LayerException(String msg)`
Constructor.
`LayerException(String msg, Throwable cause)`
Constructor with cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LayerException

public LayerException(String msg)
Constructor.

Parameters:
  `msg` - exception message

### LayerException

public LayerException(String msg, Throwable cause)
Constructor with cause.

Parameters:
  `msg` - exception message
  `cause` - underlying exception